Tracking
Operations
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
TrackingLocatorintegerOptional
Responses
200
Successful operation.
application/json
post/getTracking
POST /nexum/627/2022.01/account/getTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 185
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"TrackingLocator": 96,
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Tracking": {
"Locator": 96,
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getTracking"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
TrackingLocatorintegerOptional
Responses
200
Successful operation.
application/json
post/getTrackingSelectFields
POST /nexum/627/2022.01/account/getTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 360
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"TrackingLocator": 96,
"SelectableFields": {
"IncludeAllTrackingFields": false,
"TrackingFields": {
"Locator": true,
"Type": true,
"UserChar1": true,
"UserChar2": true,
"UserDate1": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Tracking": {
"Locator": 96,
"Type": 77,
"UserChar1": "Mock user character 1.",
"UserChar2": null,
"UserDate1": "2023-08-31",
"RecordChangeDate": "2010-04-25"
},
"MessageId": "getTrackingSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/getTrackingPagedList
POST /nexum/627/2022.01/account/getTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 243
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Tracking": [],
"Token": null,
"MessageId": "getTrackingPagedList"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
post/getTrackingListSelectFields
POST /nexum/627/2022.01/account/getTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 217
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"SelectableFields": {
"IncludeAllTrackingFields": true
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"TrackingList": [],
"MessageId": "getTrackingListSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
post/searchTrackingSelectFields
POST /nexum/627/2022.01/account/searchTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 258
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"SelectableFields": {
"IncludeAllTrackingFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"TrackingList": [],
"MessageId": "searchTrackingSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/getTrackingPagedListSelectFields
POST /nexum/627/2022.01/account/getTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 418
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllTrackingFields": false,
"TrackingFields": {
"Locator": true,
"Type": true,
"UserChar1": true,
"UserChar2": true,
"UserDate1": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Tracking": [
{
"Locator": 21,
"Type": 30,
"UserChar1": "5684953678235942",
"UserChar2": null,
"UserDate1": "2010-05-15",
"RecordChangeDate": "2010-04-24"
},
{
"Locator": 96,
"Type": 77,
"UserChar1": "Mock user character 1.",
"UserChar2": null,
"UserDate1": "2023-08-31",
"RecordChangeDate": "2010-04-25"
},
{
"Locator": 99,
"Type": 31,
"UserChar1": null,
"UserChar2": null,
"UserDate1": null,
"RecordChangeDate": "2010-04-25"
}
],
"Token": null,
"MessageId": "getTrackingPagedListSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
QuerystringOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/searchTrackingPagedSelectFields
POST /nexum/627/2022.01/account/searchTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 439
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"Query": "LOCATOR=96",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllTrackingFields": false,
"TrackingFields": {
"Locator": true,
"Type": true,
"UserChar1": true,
"UserChar2": true,
"UserDate1": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Tracking": [
{
"Locator": 96,
"Type": 77,
"UserChar1": "Mock user character 1.",
"UserChar2": null,
"UserDate1": "2023-08-31",
"RecordChangeDate": "2010-04-25"
}
],
"Token": null,
"MessageId": "searchTrackingPagedSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
TrackingLocatorintegerOptional
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
post/updateTrackingByID
POST /nexum/627/2022.01/account/updateTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 285
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"TrackingLocator": 270,
"TrackingUpdatableFields": {
"Type": 0,
"TrackingCode": 0,
"UserChar1": "NEXUM W4 2022 TRACKING UPDATED"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateTrackingByID"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
TrackingLocatorintegerOptional
post/createTracking
POST /nexum/627/2022.01/account/createTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 255
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"TrackingCreatableFields": {
"Type": 0,
"TrackingCode": 0,
"UserChar1": "NEXUM W4 2022 TRACKING"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"TrackingLocator": 270,
"MessageId": "createTracking"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
TrackingLocatorintegerOptional
Responses
200
Successful operation.
application/json
nxAttributesobjectOptional
The custom object for NexumAPI response attributes.
post/deleteTracking
POST /nexum/627/2022.01/account/deleteTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 186
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"TrackingLocator": 270,
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"MessageId": "deleteTracking"
}Last updated
Was this helpful?